Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Interface AdviceRequestConstants

All Known Implementing Classes:
  AbstractAdviceTransform, AbstractAdvislet, CatalogQueryAdvisletImpl, CatalogQueryTag, ContentQueryAdvisletImpl, OutputListItemToInputTransform, OutputToInputTransform, ResultsToRulesInputTransform, RulesAdvisletImpl, RulesInputTransform

    public interface AdviceRequestConstants

This interface defines the keys for the standard BEA entries in the AdviceRequest interface.

Field Summary
`static String` | `CATALOG_QUERY_WRAPPER` the CATALOG_QUERY_WRAPPER key - value = "com.bea.catalog.query.wrapper"
`static String` | `CONTENT_APPEND_QUERY_STRING` the CONTENT_APPEND_QUERY_STRING key - value = "com.bea.content.append.query.string"
`static String` | `CONTENT_MANAGER` Deprecated No longer used.
`static String` | `CONTENT_MANAGER_HOME` Deprecated No longer used.
`static String` | `CONTENT_QUERY_CONTEXT_PARAMS` the CONTENT_QUERY_CONTEXT_PARAMS key - value = "com.bea.content.query.context.params"
`static String` | `CONTENT_QUERY_MAX_ITEMS` the CONTENT_QUERY_MAX_ITEMS key - value = "com.bea.content.query.max.items"
`static String` | `CONTENT_QUERY_NODE` the CONTENT_QUERY_NODE key - value = "com.bea.content.query.node"
`static String` | `CONTENT_QUERY_SORT_BY` the CONTENT_QUERY_SORT_BY key - value = "com.bea.content.query.sort.by"
`static String` | `CONTENT_QUERY_STRING` the CONTENT_QUERY_STRING key - value = "com.bea.content.query.string"
`static String` | `CONTENT_QUERY_VERSIONED_CONTENT` the CONTENT_QUERY_VERSIONED_DATA key - value = "com.bea.content.query.versioned.data"
`static String` | `CONTENT_SEARCH_PATHS` the CONTENT_SEARCH_PATHS key - value = "com.bea.content.search.paths"
`static String` | `CONTEXT_HANDLER` The p13n context handler key for security checks
`static String` | `DATE` The DATE key - value = "com.bea.date"
`static String` | `HTTP_REQUEST` the HTTP_REQUEST key - value = "com.bea.http_request"
`static String` | `HTTP_SESSION` the HTTP_SESSION key - value = "com.bea.http_session"
`static String` | `NOW` Deprecated replaced by `TIME_INSTANT`
`static String` | `RULES_FILTER_CLASS` the RULES_FILTER_CLASS key - value = "com.bea.rules.filter.class"
`static String` | `RULES_FILTER_CLASS_NAME` the RULES_FILTER_CLASS_NAME key - value = "com.bea.rules.filter.class.name"
`static String` | `RULES_INPUT_OBJECTS` the RULES_INPUT_OBJECTS key - value = "com.bea.rules.input.objects"
`static String` | `RULES_RULENAME_TO_FIRE` the RULES_RULENAME_TO_FIRE key - value = "com.bea.rules.rulename.to.fire"
`static String` | `RULES_RULESET_NAME` the RULES_RULESET_NAME key - value = "com.bea.rules.ruleset.name"
`static String` | `SHOPPING_CART` the SHOPPING_CART key - value = "com.bea.shopping.cart"
`static String` | `TIME` The TIME key - value = "com.bea.time"
`static String` | `TIME_INSTANT` the TIME_INSTANT key - value = "com.bea.time_instant"
`static String` | `USER` the USER key - value = "com.bea.user"

Field Detail

### USER

    static final String USER

  the USER key - value = "com.bea.user"

  See Also
    Constants Summary

### HTTP_REQUEST

    static final String HTTP_REQUEST

  the HTTP_REQUEST key - value = "com.bea.http_request"

  See Also
    Constants Summary

### HTTP_SESSION

    static final String HTTP_SESSION

  the HTTP_SESSION key - value = "com.bea.http_session"

  See Also
    Constants Summary

### TIME_INSTANT

    static final String TIME_INSTANT

  the TIME_INSTANT key - value = "com.bea.time_instant"

  See Also
    Constants Summary

### NOW

    static final String NOW

  Deprecated replaced by `TIME_INSTANT`
  the NOW key - value = "com.bea.time_instant"

  See Also
    Constants Summary

### DATE

    static final String DATE

  The DATE key - value = "com.bea.date"

  See Also
    Constants Summary

### TIME

    static final String TIME

  The TIME key - value = "com.bea.time"

  See Also
    Constants Summary

### CONTENT_QUERY_STRING

    static final String CONTENT_QUERY_STRING

  the CONTENT_QUERY_STRING key - value = "com.bea.content.query.string"

  See Also
    Constants Summary

### CONTENT_SEARCH_PATHS

    static final String CONTENT_SEARCH_PATHS

  the CONTENT_SEARCH_PATHS key - value = "com.bea.content.search.paths"

  See Also
    Constants Summary

### CONTEXT_HANDLER

    static final String CONTEXT_HANDLER

  The p13n context handler key for security checks

  See Also
    Constants Summary

### CONTENT_APPEND_QUERY_STRING

    static final String CONTENT_APPEND_QUERY_STRING

  the CONTENT_APPEND_QUERY_STRING key - value = "com.bea.content.append.query.string"

  See Also
    Constants Summary

### CONTENT_QUERY_NODE

    static final String CONTENT_QUERY_NODE

  the CONTENT_QUERY_NODE key - value = "com.bea.content.query.node"

  See Also
    Constants Summary

### CONTENT_QUERY_MAX_ITEMS

    static final String CONTENT_QUERY_MAX_ITEMS

  the CONTENT_QUERY_MAX_ITEMS key - value = "com.bea.content.query.max.items"

  See Also
    Constants Summary

### CONTENT_QUERY_SORT_BY

    static final String CONTENT_QUERY_SORT_BY

  the CONTENT_QUERY_SORT_BY key - value = "com.bea.content.query.sort.by"

  See Also
    Constants Summary

### CONTENT_QUERY_CONTEXT_PARAMS

    static final String CONTENT_QUERY_CONTEXT_PARAMS

  the CONTENT_QUERY_CONTEXT_PARAMS key - value = "com.bea.content.query.context.params"

  See Also
    Constants Summary

### CONTENT_MANAGER_HOME

    static final String CONTENT_MANAGER_HOME

  Deprecated No longer used.
  the CONTENT_MANAGER_HOME key - value = "com.bea.content.manager.home"

  See Also
    Constants Summary

### CONTENT_MANAGER

    static final String CONTENT_MANAGER

  Deprecated No longer used.
  the CONTENT_MANAGER key - value = "com.bea.content.manager"

  See Also
    Constants Summary

### CONTENT_QUERY_VERSIONED_CONTENT

    static final String CONTENT_QUERY_VERSIONED_CONTENT

  the CONTENT_QUERY_VERSIONED_DATA key - value = "com.bea.content.query.versioned.data"

  See Also
    Constants Summary

### RULES_RULESET_NAME

    static final String RULES_RULESET_NAME

  the RULES_RULESET_NAME key - value = "com.bea.rules.ruleset.name"

  See Also
    Constants Summary

### RULES_RULENAME_TO_FIRE

    static final String RULES_RULENAME_TO_FIRE

  the RULES_RULENAME_TO_FIRE key - value = "com.bea.rules.rulename.to.fire"

  See Also
    Constants Summary

### RULES_FILTER_CLASS

    static final String RULES_FILTER_CLASS

  the RULES_FILTER_CLASS key - value = "com.bea.rules.filter.class"

  See Also
    Constants Summary

### RULES_FILTER_CLASS_NAME

    static final String RULES_FILTER_CLASS_NAME

  the RULES_FILTER_CLASS_NAME key - value = "com.bea.rules.filter.class.name"

  See Also
    Constants Summary

### RULES_INPUT_OBJECTS

    static final String RULES_INPUT_OBJECTS

  the RULES_INPUT_OBJECTS key - value = "com.bea.rules.input.objects"

  See Also
    Constants Summary

### CATALOG_QUERY_WRAPPER

    static final String CATALOG_QUERY_WRAPPER

  the CATALOG_QUERY_WRAPPER key - value = "com.bea.catalog.query.wrapper"

  See Also
    Constants Summary

### SHOPPING_CART

    static final String SHOPPING_CART

  the SHOPPING_CART key - value = "com.bea.shopping.cart"

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.